-----------------------------------------------------
--  Copyright 2009-2012 Microsoft Corporation. 
-- All rights reserved.
-- This document is for informational purposes only. 
-- MICROSOFT MAKES NO WARRANTIES, EXPRESS OR IMPLIED,
-- FOR THE INFORMATION PROVIDED.
-----------------------------------------------------
-- Code Samples for SQL Server Spatial
--
-- Michael Rys, mrys@microsoft.com
-- Milan Stojic, milans@microsoft.com
--
-- Topic: Spatial Data Loading Support in SQL Server 2012
-- 
-- US counties and census data can be downloaded from http://www.census.gov/geo/www/cob/
-- The H1N1 data can be downloaded from http://www.mapcruzin.com/free-download-h1n1-swine-flu-arcgis-shapefile.htm
-- Unfortunately, we cannot redistribute the world data 




-- Show result of Shapefile loading
------------------------------------
SELECT * FROM H1n1


select country, DATE, DESCRIPTIO, FATALITY
     , PLACE, STATE
	 , geom.STBuffer(10000) 
from h1n1 
where country IN ('NL', 'BE', 'LU', 'FR', 'DE');

/*
CREATE VIEW European_EU_CHF_RSD_Countries
AS 
select *
from World.dbo.countries c
where c.CURR_CODE IN ('EUR', 'CHF', 'YUN')
and NOT(ISO_2DIGIT IN ('PF', 'AN', 'MQ', 'GF', 'TF', 'NC', 'GP','YT','PM','WF','AW', 'RE'));
*/

select country, DATE, DESCRIPTIO, FATALITY
     , PLACE, STATE, c.POP_CNTRY
	 , geom.STBuffer(50000)
from h1n1, European_EU_CHF_RSD_Countries c --WITH(INDEX(Geography_LLLL_16_SIDX))
where geom.STIntersects(c.Geography)=1;


--DROP INDEX SPIDX_H1N1_HHHH_16 ON H1N1;
CREATE SPATIAL INDEX SPIDX_H1N1_HHHH_16 on h1n1(geom)
WITH (GRIDS=(HIGH, HIGH, HIGH, HIGH));

select geom.STBuffer(50000)
from h1n1, European_EU_CHF_RSD_Countries c 
where geom.STIntersects(c.Geography)=1
union all
select Geography
from European_EU_CHF_RSD_Countries;



















select country, DATE, DESCRIPTIO, FATALITY
     , PLACE, STATE, c.POP_CNTRY
	 , geom.STBuffer(50000)
from h1n1, European_EU_CHF_RSD_Countries c WITH(INDEX(Geography_LLLL_16_SIDX))
where geom.STIntersects(c.Geography)=1;






















--DROP INDEX quake_idx_MMMM on quake_av;

CREATE SPATIAL INDEX quake_idx_MMMM on quake_av(geog)
USING GEOGRAPHY_GRID;

declare @p geography = geography::Parse('POINT (-122.350311 47.658497)');

select top(20) Magnitude, geog.STBuffer(Magnitude*1000)
from quake_av WITH (INDEX(quake_idx_MMMM))
where geog.STDistance(@p) IS NOT NULL
order by geog.STDistance(@p)



